OccurrenceManagementServiceImpl (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.server

## Class OccurrenceManagementServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.user.occurrencemanagement.server.OccurrenceManagementServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, OccurrenceManagementService

      public class OccurrenceManagementServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements OccurrenceManagementService

  The server side implementation of the RPC service.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.log4j.Logger` | `logger`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccurrenceManagementServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteResourceById(String resourceId)`
    `protected org.gcube.application.framework.core.session.ASLSession` | `getASLSession()`
    `List<JobOccurrencesModel>` | `getListOccurrencesSet(ElaborationType elaborationType, boolean onlyNotCompleted)`
    `List<Operator>` | `getListOperator()`
    `void` | `init()`
    `void` | `initServervice()`
    `Boolean` | `saveSelectedOccurrencePoints(String resourceId, ElaborationType elaborationType, String destinationFolderId, String fileName)`
    `String` | `startComputation(Operator operator, String computationTitle, String computationDescription)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### OccurrenceManagementServiceImpl

          public OccurrenceManagementServiceImpl()

  - ### Method Detail

    - #### getASLSession

          protected org.gcube.application.framework.core.session.ASLSession getASLSession()

    - #### init

          public void init()
                    throws javax.servlet.ServletException

      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### getListOccurrencesSet

          public List<JobOccurrencesModel> getListOccurrencesSet(ElaborationType elaborationType,
                                                        boolean onlyNotCompleted)
                                                          throws Exception

      Specified by:
        `getListOccurrencesSet` in interface `OccurrenceManagementService`
      Throws:
        `Exception`

    - #### initServervice

          public void initServervice()
                              throws Exception

      Throws:
        `Exception`

    - #### getListOperator

          public List<Operator> getListOperator()
                                         throws Exception

      Specified by:
        `getListOperator` in interface `OccurrenceManagementService`
      Throws:
        `Exception`

    - #### startComputation

          public String startComputation(Operator operator,
                                String computationTitle,
                                String computationDescription)
                                  throws Exception

      Specified by:
        `startComputation` in interface `OccurrenceManagementService`
      Throws:
        `Exception`

    - #### saveSelectedOccurrencePoints

          public Boolean saveSelectedOccurrencePoints(String resourceId,
                                             ElaborationType elaborationType,
                                             String destinationFolderId,
                                             String fileName)
                                               throws Exception

      Specified by:
        `saveSelectedOccurrencePoints` in interface `OccurrenceManagementService`
      Throws:
        `Exception`

    - #### deleteResourceById

          public void deleteResourceById(String resourceId)
                                  throws Exception

      Specified by:
        `deleteResourceById` in interface `OccurrenceManagementService`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.